Skencil logo

Skencil / Development

See Skencil's project page on Wald and the old project page on Savannah.

Stable Version Branch

svn checkout

Development Version Branch

Development versions have an odd minor release number. The current development series is 0.7.x.

The main goals of this development series are:

  • Port to GTK+
  • Multi-document interface
  • Multi font, fully integrated multi line text
There is a TODO file in the development source archive.

If you're new to Skencil, please note that the user-interface in the current development versions is very incomplete during the porting of Skencil from Tk to GTK. To get an idea of what Skencil already can do, please have a look at the stable releases first.


The sources of the development branch of Skencil directly available from the its SVN repository.

To check out the main development branch out with

svn checkout

Later, you can use

svn update 

to update your copy of the sources to the latest version.


Binaries of the development version of Skencil are available for the following platforms:


An older development version is delivered for Windows as self-executable Python Distutils installer. See FAQ for answers and troubleshooting. Contact Joonas Paalasmaa if you have questions regarding the Windows port.


Sketch-2004-01-20.win32-py2.3.exe (755 kb)
See Releases for the changelog.

Required components:

Get Python from Python download page. The current version of Skencil works only with the version 2.3 of Python.

Python Imaging Library
The Windows installer of PIL can be can be downloaded from PythonWare. Download the newest version for Python 2.3.

You can find a Windows installer of PyGTK at Cedric Gustin's web site. Download any version that supports GTK+ version 2 and Python 2.3.

GTK+ Runtime Environment
You can get the GTK+ runtime for Windows either from Jernej Simoncic's GIMP page or from If you use the former one, you can also run GIMP 2.0 on the same machine.

GnuWin32 project provides a Windows version of LibArt at their download page. Extract libart_lgpl.dll to any directory listed in the 'PATH' environment variable.

Required software

Python, Python Imaging Library, XML (optional)

These are basically the same as for the stable version, but you'll need at least version 1.0 of the Python Imaging Library. You need at least Python 2.1 (available from The Python Imaging Library is available from

For platform specific notes and binary packages, see the download page for the stable series.

If you want to use the SVG import filter, you also need the Python XML package. This package is optional, you don't need it for anything other than the SVG import filter.


Skencil now uses GTK+ instead of Tk. You can get GTK+ from, you need at least GTK+ 2.x.

You also need version 2.x of PyGTK, the Python bindings for GTK+.

For anti-aliased rendering you also need libart, the rendering library used by the GNOME canvas. libart is part of the gnome-libs package available at, but it's also available separately.